#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Python -*-

"""
 @file DroneServicePort_idl_examplefile.py
 @brief Python example implementations generated from DroneServicePort.idl
 @date $Date$

 @author East Japan Accounting Center Co., Ltd

 (c)2017 The University of Aizu
 This software is released under the New BSD License.

"""

import omniORB
from omniORB import CORBA, PortableServer
import Service, Service__POA


class RTLAlt_i (Service__POA.RTLAlt):
    """
    @class RTLAlt_i
    Example class implementing IDL interface Service.RTLAlt
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        pass

    # double get_rtl_alt()
    def get_rtl_alt(self):
        raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: result


if __name__ == "__main__":
    import sys
    
    # Initialise the ORB
    orb = CORBA.ORB_init(sys.argv)
    
    # As an example, we activate an object in the Root POA
    poa = orb.resolve_initial_references("RootPOA")

    # Create an instance of a servant class
    servant = RTLAlt_i()

    # Activate it in the Root POA
    poa.activate_object(servant)

    # Get the object reference to the object
    objref = servant._this()
    
    # Print a stringified IOR for it
    print orb.object_to_string(objref)

    # Activate the Root POA's manager
    poa._get_the_POAManager().activate()

    # Run the ORB, blocking this thread
    orb.run()

