# This file will be configured to contain variables for CPack. These variables
# should be set in the CMake list file of the project before CPack module is
# included. The list of available CPACK_xxx variables and their associated
# documentation may be obtained using
#  cpack --help-variable-list
#
# Some variables are common to all generators (e.g. CPACK_PACKAGE_NAME)
# and some are specific to a generator
# (e.g. CPACK_NSIS_EXTRA_INSTALL_COMMANDS). The generator specific variables
# usually begin with CPACK_<GENNAME>_xxxx.


SET(CPACK_BINARY_BUNDLE "")
SET(CPACK_BINARY_CYGWIN "")
SET(CPACK_BINARY_DEB "")
SET(CPACK_BINARY_DRAGNDROP "")
SET(CPACK_BINARY_NSIS "")
SET(CPACK_BINARY_OSXX11 "")
SET(CPACK_BINARY_PACKAGEMAKER "")
SET(CPACK_BINARY_RPM "")
SET(CPACK_BINARY_STGZ "")
SET(CPACK_BINARY_TBZ2 "")
SET(CPACK_BINARY_TGZ "")
SET(CPACK_BINARY_TZ "")
SET(CPACK_BINARY_WIX "")
SET(CPACK_BINARY_ZIP "")
SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
SET(CPACK_COMPONENTS_ALL "applications;documents;sources")
SET(CPACK_COMPONENTS_ALL_SET_BY_USER "TRUE")
SET(CPACK_COMPONENT_APPLICATIONS_DESCRIPTION "RT-Component applications")
SET(CPACK_COMPONENT_APPLICATIONS_DISABLED "FALSE")
SET(CPACK_COMPONENT_APPLICATIONS_DISPLAY_NAME "Applications")
SET(CPACK_COMPONENT_DOCUMENTS_DESCRIPTION "RT-Component documents")
SET(CPACK_COMPONENT_DOCUMENTS_DISABLED "TRUE")
SET(CPACK_COMPONENT_DOCUMENTS_DISPLAY_NAME "Documents")
SET(CPACK_COMPONENT_SOURCES_DESCRIPTION "RT-Component source files")
SET(CPACK_COMPONENT_SOURCES_DISABLED "TRUE")
SET(CPACK_COMPONENT_SOURCES_DISPLAY_NAME "Source files")
SET(CPACK_COMPONENT_UNSPECIFIED_HIDDEN "TRUE")
SET(CPACK_COMPONENT_UNSPECIFIED_REQUIRED "TRUE")
SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "i386")
SET(CPACK_DEBIAN_PACKAGE_DEPENDS "openrtm-aist (>= 1.0.0)")
SET(CPACK_DEBIAN_PACKAGE_PRIORITY "extra")
SET(CPACK_DEBIAN_PACKAGE_SECTION "main")
SET(CPACK_DEBIAN_PACKAGE_VERSION "1.0.0-1")
SET(CPACK_GENERATOR "TGZ;TBZ2;TZ")
SET(CPACK_IGNORE_FILES "/CVS/;/\\.svn/;/\\.bzr/;/\\.hg/;/\\.git/;\\.swp$;\\.#;/#")
SET(CPACK_INSTALLED_DIRECTORIES "/home/pi/RTCs/RobotUSBCam;/")
SET(CPACK_INSTALL_CMAKE_PROJECTS "")
SET(CPACK_INSTALL_PREFIX "/usr/local")
SET(CPACK_MODULE_PATH "/home/pi/RTCs/RobotUSBCam/cmake_modules")
SET(CPACK_NSIS_DISPLAY_NAME "RobotUSBCam 1.0.0")
SET(CPACK_NSIS_INSTALLER_ICON_CODE "")
SET(CPACK_NSIS_INSTALLER_MUI_ICON_CODE "")
SET(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES")
SET(CPACK_NSIS_PACKAGE_NAME "RobotUSBCam 1.0.0")
SET(CPACK_OUTPUT_CONFIG_FILE "/home/pi/RTCs/RobotUSBCam/build/CPackConfig.cmake")
SET(CPACK_PACKAGE_CONTACT "author@example.com")
SET(CPACK_PACKAGE_DEFAULT_LOCATION "/")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "/home/pi/RTCs/RobotUSBCam/cpack_resources/Description.txt")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Periodically generate and save images and additional data")
SET(CPACK_PACKAGE_FILE_NAME "RobotUSBCam-1.0.0-Source")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "RobotUSBCam 1.0.0")
SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "RobotUSBCam 1.0.0")
SET(CPACK_PACKAGE_NAME "RobotUSBCam")
SET(CPACK_PACKAGE_RELOCATABLE "true")
SET(CPACK_PACKAGE_VENDOR "EAC")
SET(CPACK_PACKAGE_VERSION "1.0.0")
SET(CPACK_PACKAGE_VERSION_MAJOR "1")
SET(CPACK_PACKAGE_VERSION_MINOR "0")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_RESOURCE_FILE_LICENSE "/home/pi/RTCs/RobotUSBCam/cpack_resources/License.txt")
SET(CPACK_RESOURCE_FILE_README "/usr/share/cmake-3.0/Templates/CPack.GenericDescription.txt")
SET(CPACK_RESOURCE_FILE_WELCOME "/usr/share/cmake-3.0/Templates/CPack.GenericWelcome.txt")
SET(CPACK_SET_DESTDIR "OFF")
SET(CPACK_SOURCE_CYGWIN "")
SET(CPACK_SOURCE_GENERATOR "TGZ;TBZ2;TZ")
SET(CPACK_SOURCE_IGNORE_FILES "/CVS/;/\\.svn/;/\\.bzr/;/\\.hg/;/\\.git/;\\.swp$;\\.#;/#")
SET(CPACK_SOURCE_INSTALLED_DIRECTORIES "/home/pi/RTCs/RobotUSBCam;/")
SET(CPACK_SOURCE_OUTPUT_CONFIG_FILE "/home/pi/RTCs/RobotUSBCam/build/CPackSourceConfig.cmake")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "RobotUSBCam-1.0.0-Source")
SET(CPACK_SOURCE_TBZ2 "ON")
SET(CPACK_SOURCE_TGZ "ON")
SET(CPACK_SOURCE_TOPLEVEL_TAG "Linux-Source")
SET(CPACK_SOURCE_TZ "ON")
SET(CPACK_SOURCE_ZIP "OFF")
SET(CPACK_STRIP_FILES "")
SET(CPACK_SYSTEM_NAME "Linux")
SET(CPACK_TOPLEVEL_TAG "Linux-Source")
SET(CPACK_WIX_SIZEOF_VOID_P "")
